VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo:
[legend]

## Public Member Functions

| RenderPassInputAttachmentAspectCreateInfo (uint32_t aspectReferenceCount_=0, const InputAttachmentAspectReference *pAspectReferences_=nullptr)
| RenderPassInputAttachmentAspectCreateInfo (VkRenderPassInputAttachmentAspectCreateInfo const &rhs)
RenderPassInputAttachmentAspectCreateInfo & | operator= (VkRenderPassInputAttachmentAspectCreateInfo const &rhs)
RenderPassInputAttachmentAspectCreateInfo & | setPNext (const void *pNext_)
RenderPassInputAttachmentAspectCreateInfo & | setAspectReferenceCount (uint32_t aspectReferenceCount_)
RenderPassInputAttachmentAspectCreateInfo & | setPAspectReferences (const InputAttachmentAspectReference *pAspectReferences_)
| operator VkRenderPassInputAttachmentAspectCreateInfo const & () const
| operator VkRenderPassInputAttachmentAspectCreateInfo & ()
bool | operator== (RenderPassInputAttachmentAspectCreateInfo const &rhs) const
bool | operator!= (RenderPassInputAttachmentAspectCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | aspectReferenceCount
const InputAttachmentAspectReference * | pAspectReferences

## Private Attributes

StructureType | sType = StructureType::eRenderPassInputAttachmentAspectCreateInfo

## Detailed Description

Definition at line 25687 of file vulkan.hpp.

## Constructor & Destructor Documentation

## RenderPassInputAttachmentAspectCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::RenderPassInputAttachmentAspectCreateInfo | ( | uint32_t | aspectReferenceCount_ = `0`,
|  | const InputAttachmentAspectReference * | pAspectReferences_ = `nullptr`
| ) |  |

inline

Definition at line 25689 of file vulkan.hpp.

: aspectReferenceCount( aspectReferenceCount_ )
, pAspectReferences( pAspectReferences_ )
{
}

## RenderPassInputAttachmentAspectCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::RenderPassInputAttachmentAspectCreateInfo | ( | VkRenderPassInputAttachmentAspectCreateInfo const & | rhs | ) |

inline

Definition at line 25696 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassInputAttachmentAspectCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkRenderPassInputAttachmentAspectCreateInfo &()

VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::operator VkRenderPassInputAttachmentAspectCreateInfo & | ( |  | ) |

inline

Definition at line 25729 of file vulkan.hpp.

{
return *reinterpret_cast<VkRenderPassInputAttachmentAspectCreateInfo*>(this);
}

## operator VkRenderPassInputAttachmentAspectCreateInfo const &()

VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::operator VkRenderPassInputAttachmentAspectCreateInfo const & | ( |  | ) | const

inline

Definition at line 25724 of file vulkan.hpp.

{
return *reinterpret_cast<const VkRenderPassInputAttachmentAspectCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::operator!= | ( | RenderPassInputAttachmentAspectCreateInfo const & | rhs | ) | const

inline

Definition at line 25742 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

RenderPassInputAttachmentAspectCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::operator= | ( | VkRenderPassInputAttachmentAspectCreateInfo const & | rhs | ) |

inline

Definition at line 25701 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassInputAttachmentAspectCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::operator== | ( | RenderPassInputAttachmentAspectCreateInfo const & | rhs | ) | const

inline

Definition at line 25734 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( aspectReferenceCount == rhs.aspectReferenceCount )
&& ( pAspectReferences == rhs.pAspectReferences );
}

References aspectReferenceCount, pAspectReferences, pNext, and sType.

Referenced by operator!=().

## setAspectReferenceCount()

RenderPassInputAttachmentAspectCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::setAspectReferenceCount | ( | uint32_t | aspectReferenceCount_ | ) |

inline

Definition at line 25712 of file vulkan.hpp.

{
aspectReferenceCount = aspectReferenceCount_;
return *this;
}

References aspectReferenceCount.

## setPAspectReferences()

RenderPassInputAttachmentAspectCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::setPAspectReferences | ( | const InputAttachmentAspectReference * | pAspectReferences_ | ) |

inline

Definition at line 25718 of file vulkan.hpp.

{
pAspectReferences = pAspectReferences_;
return *this;
}

References pAspectReferences.

## setPNext()

RenderPassInputAttachmentAspectCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 25706 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## aspectReferenceCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::aspectReferenceCount

Definition at line 25752 of file vulkan.hpp.

Referenced by operator==(), and setAspectReferenceCount().

## pAspectReferences

const InputAttachmentAspectReference* VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::pAspectReferences

Definition at line 25753 of file vulkan.hpp.

Referenced by operator==(), and setPAspectReferences().

## pNext

const void* VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::pNext = nullptr

Definition at line 25751 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::sType = StructureType::eRenderPassInputAttachmentAspectCreateInfo

private

Definition at line 25748 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::operator==
bool operator==(RenderPassInputAttachmentAspectCreateInfo const &rhs) const
Definition: vulkan.hpp:25734
VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:25748
VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::RenderPassInputAttachmentAspectCreateInfo
RenderPassInputAttachmentAspectCreateInfo(uint32_t aspectReferenceCount_=0, const InputAttachmentAspectReference *pAspectReferences_=nullptr)
Definition: vulkan.hpp:25689
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkRenderPassInputAttachmentAspectCreateInfo
Definition: vulkan_core.h:4226
VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::pAspectReferences
const InputAttachmentAspectReference * pAspectReferences
Definition: vulkan.hpp:25753
VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::aspectReferenceCount
uint32_t aspectReferenceCount
Definition: vulkan.hpp:25752
VULKAN_HPP_NAMESPACE::RenderPassInputAttachmentAspectCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:25751